import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/Hemanthh81/Popu_Cars/main/Indian%20Cars%20Sales%20Yearwise.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Sales = +d['1970'] * 1000;
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, ));
    });
  }, []);
  
  return data;
};